import { baseUrl } from "../../../request";
import { globalImgUrl } from "../../../request";

// pages/projectModule/settlement/settlement.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    settlementData: [], // 用来存储从后端获取的结算数据
    globalImgUrl,
    projectImage: '',
    saleName: '',
    id: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // 调用后端接口
    this.setData({id: options.id})
    this.setData({projectImage: options.image})
    this.setData({saleName: options.name})
    this.fetchSettlementData();
  },

  /**
   * 请求结算数据
   */
  fetchSettlementData() {
    const token = wx.getStorageSync('token');  // 从本地存储获取 token
    const data = {
      id: this.data.id
    };
    wx.request({
      url: baseUrl + '/projectSettlement/query/settle',
      method: 'POST',
      data: data,
      header: {
        'Authorization': token,  // 设置请求头，包含 token
      },
      success: (res) => {
        if (res.data.code === 1) {
          // 请求成功，更新页面数据
          this.setData({
            settlementData: res.data.data // 将返回的数据赋值给 settlementData
          });
        } else {
          wx.showToast({
            title: '加载数据失败',
            icon: 'none'
          });
        }
      },
      fail: () => {
        wx.showToast({
          title: '请求失败',
          icon: 'none'
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
});
